democodedir=$(datadir)/inti/demo

AM_CXXFLAGS = @CXXFLAGS@ `pkg-config gtk+-2.0 --cflags`

demos =\
 appwindow.cc\
 button_box.cc\
 changedisplay.cc\
 colorsel.cc\
 dialog.cc\
 drawingarea.cc\
 images.cc\
 itemfactory.cc\
 menus.cc\
 panes.cc\
 pixbufs.cc\
 sizegroup.cc\
 stock_browser.cc\
 textview.cc\
 editable_cells.cc\
 list_store.cc\
 tree_store.cc

bin_PROGRAMS = inti-demo

inti_demo_SOURCES =\
 $(demos)\
 demowindow.h\
 demowindow.cc\
 main.cc

INCLUDES=\
 -DDEMOCODEDIR="\"$(democodedir)\""\
 -I$(top_builddir)/inti/gdk\
 -I$(top_builddir)/inti/gdk-pixbuf\
 -I$(top_builddir)/inti/glib\
 -I$(top_builddir)/inti/gtk\
 -I$(top_builddir)/inti/pango

LIBS=$(top_builddir)/inti/libinti-1.0.la

IMAGEFILES =\
 alphatest.png\
 apple-red.png\
 background.jpg\
 floppybuddy.gif\
 gnome-applets.png\
 gnome-calendar.png\
 gnome-foot.png\
 gnome-gimp.png\
 gnome-gmush.png\
 gnome-gsame.png\
 gnu-keys.png\
 gtk-logo-rgb.gif

democode_DATA = $(demos) $(IMAGEFILES)
